# Ruby

## Ruby environment adding your specific gems.

```bash
$ git clone https://github.com/rbenv/rbenv.git ~/.rbenv
$ ~/.rbenv/bin/rbenv init   # (1)!
$ . ~/.bash_profile
$ mkdir -p "$(rbenv root)"/plugins
$ git clone https://github.com/rbenv/ruby-build.git "$(rbenv root)"/plugins/ruby-build
```

## Sample ruby at 3.2.2 version rbenv setup

```bash
$ . ~/.bash_profile
$ module load ruby/3.2.2 # Needed as seed version
$ rbenv install 3.2.2
$ rbenv local 3.2.2
$  which ruby
/home/jpeismeier/.rbenv/shims/ruby  # (2)!

```

## Sample rbenv gem install supporting OpenStudio 3.7.0

```bash
$ . ~/.bash_profile
$ gem install bundler -v 2.4.10
$ export RUBYLIB=/cm/shared/apps/openstudio/openstudio-3.7.0/Ruby
$ gem install urbanopt-cli
$ gem install 'openstudio-common-measures'

```

1. Note that this modifies your .bash_profile
2. This was using my id (jpeismeier)

[github rbenv readme](https://github.com/rbenv/rbenv?tab=readme-ov-file#basic-git-checkout)

[stackoverflow how to](https://stackoverflow.com/questions/54977098/how-to-change-which-version-of-ruby-i-am-using)
